--- token.c	9 Mar 2004 12:33:51 -0000	1.77
+++ token.c	20 Mar 2004 01:13:31 -0000
@@ -39,6 +39,7 @@
 static word_t *w_subj = NULL;	/* Subject:     */
 static word_t *w_recv = NULL;	/* Received:    */
 static word_t *w_head = NULL;	/* Header:      */
+static word_t *w_mime = NULL;	/* Mime:        */
 
 /* Global Variables */
 
@@ -275,6 +276,7 @@
 	w_subj = word_new((const byte *) "subj:", 0);	/* Subject:     */
 	w_recv = word_new((const byte *) "rcvd:", 0);	/* Received:    */
 	w_head = word_new((const byte *) "head:", 0);	/* Header:      */
+	w_mime = word_new((const byte *) "mime:", 0);	/* Mime:        */
     }
 
     return;
@@ -305,7 +307,10 @@
 	token_prefix = w_from;		/* From: */
 	break;
     case 'h':
-	token_prefix = w_head;		/* Header: */
+	if (msg_state == msg_state->parent)
+	    token_prefix = w_head;	/* Header: */
+	else
+	    token_prefix = w_mime;	/* Mime:   */
 	break;
     case 'r':
 	if (tolower(text[2]) == 't')
@@ -338,4 +343,5 @@
     WFREE(w_subj);
     WFREE(w_recv);
     WFREE(w_head);
+    WFREE(w_mime);
 }
--- version.sh	30 Jan 2004 20:54:31 -0000	1.11
+++ version.sh	20 Mar 2004 01:13:31 -0000
@@ -44,7 +44,7 @@
     if [ "x$FILES" = "x" ] || [ "x$DATE" = "x" ] ; then
        DATE=$(env TZ=GMT date "+build_date_%Y%m%d_%Hh")
     fi
-    VERSION="$VERSION.$DATE"
+#   VERSION="$VERSION.$DATE"
 fi
 
 echo "#include \"globals.h\""
--- tests/t.lexer.mbx	14 Jan 2004 20:04:33 -0000	1.14
+++ tests/t.lexer.mbx	20 Mar 2004 01:13:31 -0000
@@ -34,6 +34,8 @@
 WANT="1780.4025"
 # v0.16.2 - Tag Cc: lines as To: lines.
 WANT="1780.4029"
+# v0.17.4 - Changed tagging for mime header parts
+WANT="1787.4052"
 
 if [ "$RESULT" != "$WANT" ] || [ $verbose -ne 0 ] ; then
     echo want: $WANT, have: $RESULT | tee $TMPDIR/$OUT
--- tests/t.maint	14 Jan 2004 20:04:33 -0000	1.22
+++ tests/t.maint	20 Mar 2004 01:13:31 -0000
@@ -13,11 +13,11 @@
 CORRECT="$TMPDIR/result"
 
 cat >> $CORRECT <<EOF
-initial: 5287
-count 0 -> 5287
-count 1 -> 1843
-count 2 -> 939
-count 3 -> 602
+initial: 5310
+count 0 -> 5310
+count 1 -> 1852
+count 2 -> 950
+count 3 -> 610
 EOF
 
 echo initial: `$BOGOUTIL -d $BOGOFILTER_DIR/wordlist.$DB_EXT | wc -l` > $OUT
--- tests/t.robx	1 Jan 2004 15:06:16 -0000	1.8
+++ tests/t.robx	20 Mar 2004 01:13:31 -0000
@@ -47,6 +47,8 @@
 
 # v0.16.0 - Don't create token from "Received:"
 WANT="364391"
+# v0.17.4 - Changed tagging for mime header parts
+WANT="366405"
 
 if [ "$RESULT" != "$WANT" ] ; then
     echo want: $WANT, have: $RESULT
--- tests/outputs/bogolex.out	1 Oct 2003 20:03:29 -0000	1.3
+++ tests/outputs/bogolex.out	20 Mar 2004 01:13:31 -0000
@@ -1,8 +1,8 @@
-u 0.499999
-u 0.500000
-u 0.500000
-u 0.525056
-u 0.873868
-u 0.528236
-S 1.20e-08
+u 0.500002
+u 0.500001
+u 0.500001
+u 0.502081
+u 0.923451
+u 0.547190
+S 4.70e-10
 S 0.00e+00
--- tests/outputs/bogoutil-hist.out	11 Feb 2004 00:40:45 -0000	1.1
+++ tests/outputs/bogoutil-hist.out	20 Mar 2004 01:13:31 -0000
@@ -1,25 +1,25 @@
 Histogram
 score   count  pct  histogram
-0.00     3506 66.31 ################################################
+0.00     3522 66.33 ################################################
 0.05        1  0.02 #
 0.10        1  0.02 #
 0.15        7  0.13 #
 0.20       10  0.19 #
 0.25       12  0.23 #
-0.30       17  0.32 #
-0.35       25  0.47 #
-0.40       41  0.78 #
-0.45       18  0.34 #
-0.50       85  1.61 ##
-0.55        9  0.17 #
+0.30       16  0.30 #
+0.35       27  0.51 #
+0.40       38  0.72 #
+0.45       19  0.36 #
+0.50       83  1.56 ##
+0.55       10  0.19 #
 0.60       29  0.55 #
-0.65      129  2.44 ##
-0.70        6  0.11 #
-0.75       23  0.44 #
-0.80       61  1.15 #
-0.85       13  0.25 #
-0.90       29  0.55 #
-0.95     1265 23.93 ##################
-tot      5287
-hapaxes:  ham    2581 (48.82%), spam     784 (14.83%)
-   pure:  ham    3506 (66.31%), spam    1257 (23.78%)
+0.65      135  2.54 ##
+0.70        7  0.13 #
+0.75       22  0.41 #
+0.80       63  1.19 #
+0.85       14  0.26 #
+0.90       28  0.53 #
+0.95     1266 23.84 ##################
+tot      5310
+hapaxes:  ham    2595 (48.87%), spam     784 (14.76%)
+   pure:  ham    3522 (66.33%), spam    1257 (23.67%)
--- tests/outputs/bulkmode.out	1 Oct 2003 20:03:29 -0000	1.3
+++ tests/outputs/bulkmode.out	20 Mar 2004 01:13:31 -0000
@@ -1,8 +1,8 @@
-./inputs/msg.1.txt u 0.499999
-./inputs/msg.2.txt u 0.500000
-./inputs/msg.3.txt u 0.500000
-./inputs/msg.4.txt u 0.525056
-./inputs/msg.5.txt u 0.873868
-./inputs/msg.6.txt u 0.528236
-./inputs/msg.7.txt S 1.20e-08
+./inputs/msg.1.txt u 0.500002
+./inputs/msg.2.txt u 0.500001
+./inputs/msg.3.txt u 0.500001
+./inputs/msg.4.txt u 0.502081
+./inputs/msg.5.txt u 0.923451
+./inputs/msg.6.txt u 0.547190
+./inputs/msg.7.txt S 4.70e-10
 ./inputs/msg.8.txt S 0.00e+00
--- tests/outputs/grftest.out	1 Jan 2004 13:35:00 -0000	1.5
+++ tests/outputs/grftest.out	20 Mar 2004 01:13:31 -0000
@@ -1,9 +1,9 @@
 id     fisher       tristate  
- 1   h 0.499999   u 0.499999
- 2   h 0.500000   u 0.500000
- 3   h 0.500000   u 0.500000
- 4   h 0.525056   u 0.525056
- 5   h 0.873868   u 0.873868
- 6   h 0.528236   u 0.528236
- 7   S 1.000000   S 1.20e-08
+ 1   h 0.500002   u 0.500002
+ 2   h 0.500001   u 0.500001
+ 3   h 0.500001   u 0.500001
+ 4   h 0.502081   u 0.502081
+ 5   h 0.923451   u 0.923451
+ 6   h 0.547190   u 0.547190
+ 7   S 1.000000   S 4.70e-10
  8   S 1.000000   S 0.00e+00
--- tests/outputs/msg.1.f.v	13 Nov 2003 16:54:35 -0000	1.2
+++ tests/outputs/msg.1.f.v	20 Mar 2004 01:13:31 -0000
@@ -1 +1 @@
-X-Bogosity: Unsure, tests=bogofilter, spamicity=0.499999
+X-Bogosity: Unsure, tests=bogofilter, spamicity=0.500002
--- tests/outputs/msg.2a.f.vv	13 Nov 2003 16:54:35 -0000	1.3
+++ tests/outputs/msg.2a.f.vv	20 Mar 2004 01:13:31 -0000
@@ -1,12 +1,12 @@
-X-Bogosity: Unsure, tests=bogofilter, spamicity=0.500000
+X-Bogosity: Unsure, tests=bogofilter, spamicity=0.500001
    int  cnt   prob  spamicity histogram
-  0.00   33 0.002044 0.000546 ######################
-  0.10    0 0.000000 0.000546 
-  0.20    6 0.233279 0.012956 ####
-  0.30   13 0.362038 0.053605 #########
-  0.40    0 0.000000 0.053605 
-  0.50    0 0.000000 0.053605 
-  0.60   32 0.663127 0.220857 ######################
-  0.70   10 0.774227 0.268025 #######
-  0.80   12 0.827235 0.320674 ########
-  0.90   72 0.978095 0.544200 ################################################
+  0.00   33 0.002044 0.000539 ######################
+  0.10    0 0.000000 0.000539 
+  0.20    6 0.233279 0.012786 ####
+  0.30   12 0.364137 0.050338 ########
+  0.40    0 0.000000 0.050338 
+  0.50    0 0.000000 0.050338 
+  0.60   36 0.665457 0.233288 ########################
+  0.70   11 0.768589 0.280859 ########
+  0.80   13 0.826666 0.333433 #########
+  0.90   72 0.978489 0.546352 ################################################
--- tests/outputs/msg.2a.f.vvv	9 Mar 2004 13:12:19 -0000	1.6
+++ tests/outputs/msg.2a.f.vvv	20 Mar 2004 01:13:31 -0000
@@ -1,4 +1,4 @@
-X-Bogosity: Unsure, tests=bogofilter, spamicity=0.500000
+X-Bogosity: Unsure, tests=bogofilter, spamicity=0.500001
                                      n    pgood     pbad      fw     U
 "which"                             10  0.208333  0.000000  0.000415 +
 "working"                            6  0.125000  0.000000  0.000691 +
@@ -40,7 +40,6 @@
 "more"                              15  0.270833  0.095238  0.260266 +
 "rcvd:ESMTP"                        44  0.791667  0.285714  0.265227 +
 "find"                              12  0.208333  0.095238  0.313810 +
-"head:charset"                      44  0.750000  0.380952  0.336860 +
 "also"                              11  0.187500  0.095238  0.336913 +
 "about"                             16  0.270833  0.142857  0.345367 +
 "just"                              20  0.333333  0.190476  0.363662 +
@@ -54,8 +53,6 @@
 "they"                               9  0.145833  0.095238  0.395084 +
 "The"                               35  0.562500  0.380952  0.403789 -
 "not"                               26  0.416667  0.285714  0.406783 -
-"head:Content-Disposition"          30  0.479167  0.333333  0.410258 -
-"head:inline"                       30  0.479167  0.333333  0.410258 -
 "$495"                               0  0.000000  0.000000  0.415000 -
 "ABSOLUTELY"                         0  0.000000  0.000000  0.415000 -
 "Cash!"                              0  0.000000  0.000000  0.415000 -
@@ -165,7 +162,6 @@
 "www.genuinerewards.com"             0  0.000000  0.000000  0.415000 -
 "product"                            4  0.062500  0.047619  0.432389 -
 "messages"                           8  0.125000  0.095238  0.432411 -
-"head:plain"                        52  0.812500  0.619048  0.432429 -
 "one"                               22  0.333333  0.285714  0.461517 -
 "are"                               36  0.541667  0.476190  0.467822 -
 "nice"                               7  0.104167  0.095238  0.477523 -
@@ -188,7 +184,6 @@
 "the"                               64  0.916667  0.952381  0.509539 -
 "have"                              38  0.541667  0.571429  0.513343 -
 "and"                               57  0.812500  0.857143  0.513352 -
-"head:Content-Type"                 58  0.812500  0.904762  0.526844 -
 "Back"                               3  0.041667  0.047619  0.532940 -
 "Date"                               3  0.041667  0.047619  0.532940 -
 "However"                            3  0.041667  0.047619  0.532940 -
@@ -199,17 +194,17 @@
 "does"                               9  0.125000  0.142857  0.533202 -
 "can"                               21  0.291667  0.333333  0.533277 -
 "head:Reply-To"                     45  0.625000  0.714286  0.533307 -
-"head:text"                         62  0.854167  1.000000  0.539306 -
 "from"                              41  0.562500  0.666667  0.542342 -
 "http"                              61  0.833333  1.000000  0.545433 -
 "for"                               49  0.666667  0.809524  0.548360 -
+"mime:charset"                      17  0.229167  0.285714  0.554831 -
 "how"                               14  0.187500  0.238095  0.559337 -
-"head:Content-Transfer-Encoding"     39  0.520833  0.666667  0.561366 -
-"head:bit"                          37  0.479167  0.666667  0.581773 -
+"mime:Content-Disposition"          19  0.250000  0.333333  0.571346 -
+"mime:inline"                       19  0.250000  0.333333  0.571346 -
 "class"                              5  0.062500  0.095238  0.603397 +
 "reserved"                           5  0.062500  0.095238  0.603397 +
 "help"                              10  0.125000  0.190476  0.603585 +
-"head:us-ascii"                     15  0.187500  0.285714  0.603648 +
+"head:Content-Type"                 45  0.562500  0.857143  0.603732 +
 "new"                               12  0.145833  0.238095  0.619984 +
 "format"                            24  0.291667  0.476190  0.620070 +
 "this"                              45  0.541667  0.904762  0.625468 +
@@ -220,9 +215,11 @@
 "multi-part"                        22  0.250000  0.476190  0.655628 +
 "head:Message-Id"                   35  0.395833  0.761905  0.658028 +
 "was"                               26  0.291667  0.571429  0.661974 +
+"mime:plain"                        28  0.312500  0.619048  0.664448 +
 "address"                           15  0.166667  0.333333  0.666499 +
 "MIME"                              25  0.270833  0.571429  0.678340 +
 "head:multipart"                    29  0.312500  0.666667  0.680759 +
+"mime:text"                         29  0.312500  0.666667  0.680759 +
 "This"                              41  0.437500  0.952381  0.685159 +
 "changing"                           2  0.020833  0.047619  0.694256 +
 "extremely"                          2  0.020833  0.047619  0.694256 +
@@ -237,7 +234,10 @@
 "want"                               8  0.083333  0.190476  0.695302 +
 "over"                              10  0.104167  0.238095  0.695372 +
 "their"                             12  0.125000  0.285714  0.695418 +
+"mime:Content-Transfer-Encoding"     26  0.270833  0.619048  0.695544 +
+"mime:Content-Type"                 28  0.291667  0.666667  0.695552 +
 "message"                           34  0.354167  0.809524  0.695570 +
+"mime:bit"                          25  0.250000  0.619048  0.712210 +
 "today"                              9  0.083333  0.238095  0.740379 +
 "email"                             30  0.270833  0.809524  0.749200 +
 "Service"                            5  0.041667  0.142857  0.773477 +
@@ -257,6 +257,7 @@
 "reading"                            3  0.020833  0.095238  0.819166 +
 "Now"                                6  0.041667  0.190476  0.819838 +
 "into"                               6  0.041667  0.190476  0.819838 +
+"mime:us-ascii"                      6  0.041667  0.190476  0.819838 +
 "rcvd:envelope-from"                 6  0.041667  0.190476  0.819838 +
 "money"                              4  0.020833  0.142857  0.871586 +
 "rcvd:EXAMPLE.COM"                   4  0.020833  0.142857  0.871586 +
@@ -273,7 +274,6 @@
 "color"                             16  0.041667  0.666667  0.940848 +
 "head:alternative"                  16  0.041667  0.666667  0.940848 +
 "sans-serif"                        16  0.041667  0.666667  0.940848 +
-"head:html"                         24  0.062500  1.000000  0.940957 +
 "size"                              24  0.062500  1.000000  0.940957 +
 "border"                            20  0.041667  0.857143  0.953373 +
 "face"                              20  0.041667  0.857143  0.953373 +
@@ -282,6 +282,7 @@
 "src"                               23  0.041667  1.000000  0.959763 +
 "width"                             23  0.041667  1.000000  0.959763 +
 "click"                             13  0.020833  0.571429  0.964402 +
+"mime:html"                         15  0.020833  0.666667  0.969327 +
 "$19.95"                             1  0.000000  0.047619  0.994208 +
 "$500"                               1  0.000000  0.047619  0.994208 +
 "Book"                               1  0.000000  0.047619  0.994208 +
@@ -332,5 +333,5 @@
 "Here"                               7  0.000000  0.333333  0.999165 +
 "Verdana"                            9  0.000000  0.428571  0.999351 +
 "FREE"                              10  0.000000  0.476190  0.999416 +
-N_P_Q_S_s_x_md                     178  0.00e+00  3.02e-07  5.00e-01
+N_P_Q_S_s_x_md                     183  0.00e+00  1.33e-06  5.00e-01
                                         1.00e-02  4.15e-01  0.100
--- tests/outputs/msg.2b.f.vv	13 Nov 2003 16:54:35 -0000	1.3
+++ tests/outputs/msg.2b.f.vv	20 Mar 2004 01:13:31 -0000
@@ -1,12 +1,12 @@
-X-Bogosity: Unsure, tests=bogofilter, spamicity=0.500203
+X-Bogosity: Unsure, tests=bogofilter, spamicity=0.500528
    int  cnt   prob  spamicity histogram
-  0.00   28 0.002090 0.000523 ###################
-  0.10    2 0.195287 0.004335 ##
-  0.20    4 0.240009 0.013580 ###
-  0.30   16 0.361202 0.066346 ###########
-  0.40    0 0.000000 0.066346 
-  0.50    0 0.000000 0.066346 
-  0.60   30 0.667484 0.230867 ####################
-  0.70    9 0.766884 0.274470 ######
-  0.80   14 0.825446 0.337628 ##########
-  0.90   72 0.979337 0.558742 ################################################
+  0.00   28 0.002090 0.000519 ###################
+  0.10    2 0.195287 0.004303 ##
+  0.20    4 0.240009 0.013481 ###
+  0.30   13 0.356012 0.056187 #########
+  0.40    0 0.000000 0.056187 
+  0.50    0 0.000000 0.056187 
+  0.60   32 0.667412 0.233418 ######################
+  0.70   12 0.751786 0.287023 ########
+  0.80   15 0.826714 0.350427 ##########
+  0.90   72 0.979741 0.561279 ################################################
--- tests/outputs/msg.2b.f.vvv	9 Mar 2004 13:12:19 -0000	1.6
+++ tests/outputs/msg.2b.f.vvv	20 Mar 2004 01:13:32 -0000
@@ -1,4 +1,4 @@
-X-Bogosity: Unsure, tests=bogofilter, spamicity=0.500203
+X-Bogosity: Unsure, tests=bogofilter, spamicity=0.500528
                                      n    pgood     pbad      fw     U
 "which"                             10  0.208333  0.000000  0.000415 +
 "working"                            6  0.125000  0.000000  0.000691 +
@@ -36,7 +36,6 @@
 "rcvd:ESMTP"                        44  0.791667  0.272727  0.256264 +
 "find"                              12  0.208333  0.090909  0.303890 +
 "also"                              11  0.187500  0.090909  0.326611 +
-"head:charset"                      45  0.750000  0.409091  0.352955 +
 "just"                              20  0.333333  0.181818  0.352972 +
 "All"                               10  0.166667  0.090909  0.353003 +
 "work"                              10  0.166667  0.090909  0.353003 +
@@ -48,8 +47,6 @@
 "e-mail"                             9  0.145833  0.090909  0.384034 +
 "they"                               9  0.145833  0.090909  0.384034 +
 "not"                               26  0.416667  0.272727  0.395612 +
-"head:Content-Disposition"          30  0.479167  0.318182  0.399055 +
-"head:inline"                       30  0.479167  0.318182  0.399055 +
 "about"                             17  0.270833  0.181818  0.401681 -
 "that"                              42  0.666667  0.454545  0.405408 -
 "$495"                               0  0.000000  0.000000  0.415000 -
@@ -163,7 +160,6 @@
 "without"                            4  0.062500  0.045455  0.421038 -
 "messages"                           8  0.125000  0.090909  0.421045 -
 "The"                               36  0.562500  0.409091  0.421051 -
-"head:plain"                        53  0.812500  0.636364  0.439211 -
 "nice"                               7  0.104167  0.090909  0.465947 -
 "off"                                7  0.104167  0.090909  0.465947 -
 "are"                               37  0.541667  0.500000  0.479982 -
@@ -194,22 +190,21 @@
 "can"                               21  0.291667  0.318182  0.521688 -
 "will"                              30  0.416667  0.454545  0.521704 -
 "have"                              39  0.541667  0.590909  0.521712 -
-"head:Content-Type"                 59  0.812500  0.909091  0.528034 -
 "head:Reply-To"                     46  0.625000  0.727273  0.537788 -
-"head:text"                         63  0.854167  1.000000  0.539306 -
 "http"                              62  0.833333  1.000000  0.545434 -
 "from"                              42  0.562500  0.681818  0.547914 -
 "for"                               50  0.666667  0.818182  0.550993 -
 "time"                              11  0.145833  0.181818  0.554786 -
-"head:Content-Transfer-Encoding"     40  0.520833  0.681818  0.566891 -
-"head:bit"                          38  0.479167  0.681818  0.587230 -
+"mime:Content-Disposition"          19  0.250000  0.318182  0.559924 -
+"mime:inline"                       19  0.250000  0.318182  0.559924 -
+"mime:charset"                      18  0.229167  0.318182  0.581223 -
 "class"                              5  0.062500  0.090909  0.592238 -
 "reserved"                           5  0.062500  0.090909  0.592238 -
 "help"                              10  0.125000  0.181818  0.592415 -
 "how"                               15  0.187500  0.272727  0.592474 -
+"head:Content-Type"                 46  0.562500  0.863636  0.605536 +
 "new"                               12  0.145833  0.227273  0.608975 +
 "this"                              46  0.541667  0.909091  0.626586 +
-"head:us-ascii"                     16  0.187500  0.318182  0.629080 +
 "you"                               41  0.479167  0.818182  0.630604 +
 "format"                            25  0.291667  0.500000  0.631492 +
 "your"                              43  0.500000  0.863636  0.633283 +
@@ -219,6 +214,7 @@
 "address"                           15  0.166667  0.318182  0.656089 +
 "head:Message-Id"                   36  0.395833  0.772727  0.661196 +
 "multi-part"                        23  0.250000  0.500000  0.666557 +
+"mime:plain"                        29  0.312500  0.636364  0.670571 +
 "changing"                           2  0.020833  0.045455  0.684367 +
 "everyone"                           2  0.020833  0.045455  0.684367 +
 "extremely"                          2  0.020833  0.045455  0.684367 +
@@ -235,8 +231,12 @@
 "their"                             12  0.125000  0.272727  0.685489 +
 "MIME"                              26  0.270833  0.590909  0.685610 +
 "head:multipart"                    30  0.312500  0.681818  0.685624 +
+"mime:text"                         30  0.312500  0.681818  0.685624 +
 "This"                              42  0.437500  0.954545  0.685650 +
 "message"                           35  0.354167  0.818182  0.697819 +
+"mime:Content-Type"                 29  0.291667  0.681818  0.700291 +
+"mime:Content-Transfer-Encoding"     27  0.270833  0.636364  0.701355 +
+"mime:bit"                          26  0.250000  0.636364  0.717832 +
 "today"                              9  0.083333  0.227273  0.731356 +
 "email"                             31  0.270833  0.818182  0.751196 +
 "Service"                            5  0.041667  0.136364  0.765257 +
@@ -257,6 +257,7 @@
 "into"                               6  0.041667  0.181818  0.812896 +
 "rcvd:envelope-from"                 6  0.041667  0.181818  0.812896 +
 "You"                               21  0.145833  0.636364  0.813370 +
+"mime:us-ascii"                      7  0.041667  0.227273  0.844457 +
 "money"                              4  0.020833  0.136364  0.866342 +
 "rcvd:EXAMPLE.COM"                   4  0.020833  0.136364  0.866342 +
 "Save"                               5  0.020833  0.181818  0.896234 +
@@ -271,7 +272,6 @@
 "wish"                               8  0.020833  0.318182  0.937894 +
 "color"                             16  0.041667  0.636364  0.938220 +
 "sans-serif"                        16  0.041667  0.636364  0.938220 +
-"head:html"                         25  0.062500  1.000000  0.940966 +
 "size"                              25  0.062500  1.000000  0.940966 +
 "head:alternative"                  17  0.041667  0.681818  0.942098 +
 "border"                            21  0.041667  0.863636  0.953718 +
@@ -281,6 +281,7 @@
 "src"                               24  0.041667  1.000000  0.959773 +
 "width"                             24  0.041667  1.000000  0.959773 +
 "click"                             14  0.020833  0.590909  0.965551 +
+"mime:html"                         16  0.020833  0.681818  0.970004 +
 "$19.95"                             1  0.000000  0.045455  0.994208 +
 "$500"                               1  0.000000  0.045455  0.994208 +
 "Book"                               1  0.000000  0.045455  0.994208 +
@@ -332,5 +333,5 @@
 "Here"                               7  0.000000  0.318182  0.999165 +
 "Verdana"                            9  0.000000  0.409091  0.999351 +
 "FREE"                              11  0.000000  0.500000  0.999469 +
-N_P_Q_S_s_x_md                     175  0.00e+00  4.07e-04  5.00e-01
+N_P_Q_S_s_x_md                     178  0.00e+00  1.06e-03  5.01e-01
                                         1.00e-02  4.15e-01  0.100
--- tests/outputs/msg.3.f.vvv	9 Mar 2004 13:12:19 -0000	1.6
+++ tests/outputs/msg.3.f.vvv	20 Mar 2004 01:13:32 -0000
@@ -1,4 +1,4 @@
-X-Bogosity: Unsure, tests=bogofilter, spamicity=0.500000
+X-Bogosity: Unsure, tests=bogofilter, spamicity=0.500001
                                      n    pgood     pbad      fw     U
 "there"                             14  0.291667  0.000000  0.000296 +
 "such"                               9  0.187500  0.000000  0.000461 +
@@ -29,7 +29,6 @@
 "all"                               21  0.395833  0.095238  0.194045 +
 "been"                               8  0.145833  0.047619  0.246365 +
 "has"                               13  0.229167  0.095238  0.293671 +
-"head:charset"                      44  0.750000  0.380952  0.336860 +
 "about"                             16  0.270833  0.142857  0.345367 +
 "that"                              41  0.666667  0.428571  0.391310 +
 "The"                               35  0.562500  0.380952  0.403789 -
@@ -133,7 +132,6 @@
 "through"                            4  0.062500  0.047619  0.432389 -
 "From"                              12  0.187500  0.142857  0.432418 -
 "It's"                              12  0.187500  0.142857  0.432418 -
-"head:plain"                        52  0.812500  0.619048  0.432429 -
 "one"                               22  0.333333  0.285714  0.461517 -
 "are"                               36  0.541667  0.476190  0.467822 -
 "back"                               7  0.104167  0.095238  0.477523 -
@@ -154,18 +152,15 @@
 "the"                               64  0.916667  0.952381  0.509539 -
 "have"                              38  0.541667  0.571429  0.513343 -
 "and"                               57  0.812500  0.857143  0.513352 -
-"head:Content-Type"                 58  0.812500  0.904762  0.526844 -
 "most"                               9  0.125000  0.142857  0.533202 -
 "head:Reply-To"                     45  0.625000  0.714286  0.533307 -
-"head:text"                         62  0.854167  1.000000  0.539306 -
 "from"                              41  0.562500  0.666667  0.542342 -
 "http"                              61  0.833333  1.000000  0.545433 -
 "for"                               49  0.666667  0.809524  0.548360 -
+"mime:charset"                      17  0.229167  0.285714  0.554831 -
 "how"                               14  0.187500  0.238095  0.559337 -
-"head:Content-Transfer-Encoding"     39  0.520833  0.666667  0.561366 -
-"head:bit"                          37  0.479167  0.666667  0.581773 -
 "because"                           13  0.166667  0.238095  0.588102 -
-"head:us-ascii"                     15  0.187500  0.285714  0.603648 +
+"head:Content-Type"                 45  0.562500  0.857143  0.603732 +
 "format"                            24  0.291667  0.476190  0.620070 +
 "this"                              45  0.541667  0.904762  0.625468 +
 "you"                               40  0.479167  0.809524  0.628122 +
@@ -175,20 +170,28 @@
 "to:example.com"                    42  0.500000  0.857143  0.631527 +
 "your"                              42  0.500000  0.857143  0.631527 +
 "head:MIME-Version"                 30  0.354167  0.619048  0.636012 +
+"head:Content-Transfer-Encoding"     22  0.250000  0.476190  0.655628 +
 "multi-part"                        22  0.250000  0.476190  0.655628 +
 "head:Message-Id"                   35  0.395833  0.761905  0.658028 +
+"mime:plain"                        28  0.312500  0.619048  0.664448 +
+"head:bit"                          21  0.229167  0.476190  0.674982 +
 "MIME"                              25  0.270833  0.571429  0.678340 +
 "head:multipart"                    29  0.312500  0.666667  0.680759 +
+"mime:text"                         29  0.312500  0.666667  0.680759 +
 "This"                              41  0.437500  0.952381  0.685159 +
 "another"                            2  0.020833  0.047619  0.694256 +
 "titles"                             4  0.041667  0.095238  0.694952 +
+"mime:Content-Transfer-Encoding"     26  0.270833  0.619048  0.695544 +
+"mime:Content-Type"                 28  0.291667  0.666667  0.695552 +
 "message"                           34  0.354167  0.809524  0.695570 +
 "rcvd:SMTP"                         34  0.354167  0.809524  0.695570 +
+"mime:bit"                          25  0.250000  0.619048  0.712210 +
 "email"                             30  0.270833  0.809524  0.749200 +
 "getting"                            5  0.041667  0.142857  0.773477 +
 "our"                               13  0.104167  0.380952  0.784991 +
 "mail"                              19  0.145833  0.571429  0.796480 +
 "You"                               20  0.145833  0.619048  0.809141 +
+"mime:us-ascii"                      6  0.041667  0.190476  0.819838 +
 "office"                             6  0.041667  0.190476  0.819838 +
 "Get"                               10  0.062500  0.333333  0.841679 +
 "unsubscribe"                       18  0.104167  0.619048  0.855722 +
@@ -202,7 +205,6 @@
 "Click"                             14  0.041667  0.571429  0.931670 +
 "receiving"                          8  0.020833  0.333333  0.940520 +
 "head:alternative"                  16  0.041667  0.666667  0.940848 +
-"head:html"                         24  0.062500  1.000000  0.940957 +
 "size"                              24  0.062500  1.000000  0.940957 +
 "border"                            20  0.041667  0.857143  0.953373 +
 "face"                              20  0.041667  0.857143  0.953373 +
@@ -211,6 +213,7 @@
 "src"                               23  0.041667  1.000000  0.959763 +
 "width"                             23  0.041667  1.000000  0.959763 +
 "click"                             13  0.020833  0.571429  0.964402 +
+"mime:html"                         15  0.020833  0.666667  0.969327 +
 "Choose"                             1  0.000000  0.047619  0.994208 +
 "Times"                              1  0.000000  0.047619  0.994208 +
 "York"                               1  0.000000  0.047619  0.994208 +
@@ -249,9 +252,9 @@
 "u.azogle.com"                       3  0.000000  0.142857  0.998056 +
 "www.sarcko.com"                     3  0.000000  0.142857  0.998056 +
 "cancel"                             4  0.000000  0.190476  0.998541 +
-"head:Content-Length"                4  0.000000  0.190476  0.998541 +
+"mime:Content-Length"                4  0.000000  0.190476  0.998541 +
 "instructions"                       6  0.000000  0.285714  0.999027 +
 "subscriber"                         6  0.000000  0.285714  0.999027 +
 "FREE"                              10  0.000000  0.476190  0.999416 +
-N_P_Q_S_s_x_md                     120  0.00e+00  1.75e-07  5.00e-01
+N_P_Q_S_s_x_md                     127  0.00e+00  1.85e-06  5.00e-01
                                         1.00e-02  4.15e-01  0.100
--- tests/outputs/split.out	1 Oct 2003 20:03:29 -0000	1.4
+++ tests/outputs/split.out	20 Mar 2004 01:13:32 -0000
@@ -1,3 +1,3 @@
-msg.split.bg.0117.text   0.482316
+msg.split.bg.0117.text   0.473330
 msg.split.dr.0118.base64 0.499999
-msg.split.gs.0119.text   0.931547
+msg.split.gs.0119.text   0.853165
